#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>
#include <time.h>

#ifndef UI_CERTINFO
#define UI_CERTINFO

class CertInfo {

public:
  CertInfo (const char * proxy_file = NULL);
  ~CertInfo () {};
  string GetSN () const;
  string GetSNx () const;
  string GetDN () const;
  time_t Expires () const;
  time_t TimeLeft () const;
  bool operator! ();
  bool expired();    /* Swig doesn't like operator overloading */
private:
  bool good;
  string sn;
  time_t expires;
};

#endif
